package com.unis.base.server.service.impl;

import java.util.List;

import javax.annotation.Resource;

import com.unis.base.common.vo.DCfxxsjyVO;
import org.springframework.stereotype.Service;

import com.unis.base.common.vo.DCfztsjyVO;
import com.unis.base.server.domain.DCfxxsjyDomain;
import com.unis.base.server.domain.DCfztsjyyDomain;
import com.unis.base.server.entity.DCfxxsjyDO;
import com.unis.base.server.entity.DCfztsjyDO;
import com.unis.base.server.service.DCfztsjyService;

/**
 * @author huangxing
 * @version 1.0
 * @Title DCfztsjyServiceImpl
 * @ProjectName 仓房服务实现层
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class DCfztsjyServiceImpl implements DCfztsjyService {

	@Resource
	private DCfztsjyyDomain dCfztsjyyDomain;

	@Resource
	private DCfxxsjyDomain dCfxxsjyDomain;

	/**
	 * 获取仓房信息列表
	 * @param tzSlqyVO
	 * @return
	 */
	@Override
	public List<DCfztsjyVO> getDCfztsjyList(DCfztsjyVO dCfztsjyyVO) {
		return dCfztsjyyDomain.getDCfztsjyList(dCfztsjyyVO);
	}

	/**
	 * 根据仓房编号获取仓房信息
	 * @param cfbh仓房编号
	 * @return
	 */
	@Override
	public DCfztsjyDO getDCfztsjyInfoBycfbh(String cfbh) {
		return dCfztsjyyDomain.getDCfztsjyInfo(cfbh);
	}

	/**
	 * 更新仓房信息
	 * @param dCfztsjyVO
	 * @return
	 */
	@Override
	public int update(DCfztsjyVO dCfztsjyVO) {
		DCfxxsjyVO dCfxxsjyVO = dCfxxsjyDomain.getDCfxxxsjyInfo(dCfztsjyVO.getCfbh());
		if(dCfxxsjyVO == null) {
			return 0;
		}
		return dCfztsjyyDomain.update(dCfztsjyVO);
	}

	/**
	 * 添加仓房信息
	 * @param dCfztsjyVO
	 * @return
	 */
	@Override
	public int insert(DCfztsjyVO dCfztsjyVO) {
		DCfxxsjyVO dCfxxsjyVO = dCfxxsjyDomain.getDCfxxxsjyInfo(dCfztsjyVO.getCfbh());
		if(dCfxxsjyVO==null) {
			return -1;
		}
		return dCfztsjyyDomain.insert(dCfztsjyVO);
	}
}
